﻿namespace TemplateBuilder.Model.Entities
{
    /// <summary>
    /// This class represents MetadataAttribute in metadata JSON file.
    /// </summary>
    public class MetadataAttribute
    {
        /// <summary>
        /// Data type of metadata attribute.
        /// </summary>
        public EDataType DataType { get; set; }

        /// <summary>
        /// Name of the metadata attribute.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Label of the metadata attribute.
        /// </summary>
        public string Label { get; set; }

        /// <summary>
        /// Example value of the metadata attribute.
        /// </summary>
        public string Example { get; set; }

    }
}
